public inbox for pve-devel@lists.proxmox.com
 help / color / mirror / Atom feed
From: Fabian Ebner <f.ebner@proxmox.com>
To: pve-devel@lists.proxmox.com
Subject: [pve-devel] [PATCH storage 1/2] postinst: avoid spawning subshell
Date: Thu, 17 Jun 2021 10:58:25 +0200	[thread overview]
Message-ID: <20210617085826.136788-1-f.ebner@proxmox.com> (raw)

which makes the continue not behave as intended.

Reported by shellcheck: SC2106: This [i.e. continue] only exits the subshell
caused by the (..) group

Also factor out long message for readability.

Signed-off-by: Fabian Ebner <f.ebner@proxmox.com>
---
 debian/postinst | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/debian/postinst b/debian/postinst
index 0630d49..963ad06 100644
--- a/debian/postinst
+++ b/debian/postinst
@@ -10,17 +10,18 @@ case "$1" in
 
         # TODO: remove once PVE 8.0 is released
         if dpkg --compare-versions "$2" 'lt' '7.0-3'; then
+            warning="Warning: failed to move old CIFS credential file, cluster not quorate?"
             for file in /etc/pve/priv/*.cred; do
                 if [ -f "$file" ]; then
                     echo "Info: found CIFS credentials using old path: $file" >&2
-                    mkdir -p "/etc/pve/priv/storage" || (echo "Warning: failed to move old CIFS credential file, cluster not quorate?" && continue)
+                    mkdir -p "/etc/pve/priv/storage" || { echo "$warning" && continue; }
                     base=$(basename --suffix=".cred" "$file")
                     target="/etc/pve/priv/storage/$base.pw"
                     if [ -f "$target" ]; then
                         echo "Warning: not renaming $file, because $target already exists!" >&2
                     else
                         echo "Info: renaming $file to $target" >&2
-                        mv "$file" "$target" || (echo "Warning: failed to move old CIFS credential file, cluster not quorate?" && continue)
+                        mv "$file" "$target" || { echo "$warning" && continue; }
                     fi
                 fi
             done
-- 
2.30.2





             reply	other threads:[~2021-06-17  8:59 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-06-17  8:58 Fabian Ebner [this message]
2021-06-17  8:58 ` [pve-devel] [PATCH storage 2/2] postinst: remove old file if new one is identical Fabian Ebner
2021-06-17  9:14   ` [pve-devel] applied: " Fabian Grünbichler
2021-06-17  9:13 ` [pve-devel] applied: [PATCH storage 1/2] postinst: avoid spawning subshell Fabian Grünbichler

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210617085826.136788-1-f.ebner@proxmox.com \
    --to=f.ebner@proxmox.com \
    --cc=pve-devel@lists.proxmox.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox
Service provided by Proxmox Server Solutions GmbH | Privacy | Legal